## deja-dup 22.0

=== tests/backup/Makefile ===
# Makefile.in generated by automake 1.11.1 from Makefile.am.
# tests/backup/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
# Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# -*- Mode: Makefile; indent-tabs-mode: t; tab-width: 2 -*-
#
# This file is part of Déjà Dup.
# For copyright information, see AUTHORS.
#
# Déjà Dup is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version.
#
# Déjà Dup is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Déjà Dup.  If not, see <http://www.gnu.org/licenses/>.


pkgdatadir = $(datadir)/deja-dup
pkgincludedir = $(includedir)/deja-dup
pkglibdir = $(libdir)/deja-dup
pkglibexecdir = $(libexecdir)/deja-dup
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = common$(EXEEXT)
subdir = tests/backup
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in common.c \
	common_vala.stamp
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
	$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
	$(top_srcdir)/m4/intltool.m4 $(top_srcdir)/m4/lib-ld.m4 \
	$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/nls.m4 \
	$(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am__objects_1 = common-common.$(OBJEXT)
am_common_OBJECTS = $(am__objects_1)
common_OBJECTS = $(am_common_OBJECTS)
am__DEPENDENCIES_1 =
common_DEPENDENCIES = $(am__DEPENDENCIES_1) \
	$(top_builddir)/common/libcommon.la
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
common_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(common_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC    " $@;
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD  " $@;
VALACOMPILE = $(VALAC) $(AM_VALAFLAGS) $(VALAFLAGS)
LTVALACOMPILE = $(LIBTOOL) $(AM_V_lt) $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(VALAC) $(AM_VALAFLAGS) \
	$(VALAFLAGS)
AM_V_VALAC = $(am__v_VALAC_$(V))
am__v_VALAC_ = $(am__v_VALAC_$(AM_DEFAULT_VERBOSITY))
am__v_VALAC_0 = @echo "  VALAC " $@;
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN   " $@;
SOURCES = $(common_SOURCES)
DIST_SOURCES = $(common_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/mike/Code/deja-dup/22/missing --run aclocal-1.11
ALL_LINGUAS = 
AMTAR = ${SHELL} /home/mike/Code/deja-dup/22/missing --run tar
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /home/mike/Code/deja-dup/22/missing --run autoconf
AUTOHEADER = ${SHELL} /home/mike/Code/deja-dup/22/missing --run autoheader
AUTOMAKE = ${SHELL} /home/mike/Code/deja-dup/22/missing --run automake-1.11
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CCPANEL_CFLAGS = -pthread -DGSEAL_ENABLE -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-control-center-1 -I/usr/include/gtk-3.0  
CCPANEL_DIR = /usr/lib/control-center-1/panels
CCPANEL_LIBS = -pthread -lgnome-control-center -lgtk-3 -lgdk-3 -latk-1.0 -lcairo-gobject -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
CFLAGS = -g -O2
COMMON_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/gnome-keyring-1  
COMMON_LIBS = -pthread -Wl,--export-dynamic -lgio-2.0 -lgobject-2.0 -lgthread-2.0 -lgnome-keyring -lgmodule-2.0 -lrt -lglib-2.0  
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DATADIRNAME = share
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
DUP_CFLAGS = -pthread -DGSEAL_ENABLE -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-keyring-1 -I/usr/include/gtk-3.0  
DUP_LIBS = -pthread -Wl,--export-dynamic -lgtk-3 -lgdk-3 -latk-1.0 -lcairo-gobject -lpangoft2-1.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgnome-keyring -lnotify -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EXEEXT = 
FGREP = /bin/grep -F
GDK_X11_MODULE = gdk-x11-3.0
GETTEXT_MACRO_VERSION = 0.17
GETTEXT_PACKAGE = deja-dup
GLIB_COMPILE_SCHEMAS = /usr/lib/i386-linux-gnu/glib-2.0/glib-compile-schemas
GMSGFMT = /usr/bin/msgfmt
GMSGFMT_015 = /usr/bin/msgfmt
GREP = /bin/grep
GSETTINGS_DISABLE_SCHEMAS_COMPILE = 
GTK_MODULE = gtk+-3.0
HELP_DIR = ${datadir}/help
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTLLIBS = 
INTLTOOL_EXTRACT = /usr/bin/intltool-extract
INTLTOOL_MERGE = /usr/bin/intltool-merge
INTLTOOL_PERL = /usr/bin/perl
INTLTOOL_UPDATE = /usr/bin/intltool-update
INTL_MACOSX_LIBS = 
ITSTOOL = itstool
LD = /usr/bin/ld
LDFLAGS = 
LIBICONV = -liconv
LIBINTL = 
LIBOBJS = 
LIBS = 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBICONV = -liconv
LTLIBINTL = 
LTLIBOBJS = 
MAKEINFO = ${SHELL} /home/mike/Code/deja-dup/22/missing --run makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
MONITOR_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/libpng12  
MONITOR_LIBS = -pthread -lnotify -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
MSGFMT = /usr/bin/msgfmt
MSGFMT_015 = /usr/bin/msgfmt
MSGMERGE = /usr/bin/msgmerge
NAUTILUS_CFLAGS = -pthread -DGSEAL_ENABLE -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/nautilus -I/usr/include/gtk-3.0  
NAUTILUS_EXTENSION_DIR = /usr/lib/nautilus/extensions-3.0
NAUTILUS_LIBS = -pthread -lnautilus-extension -lgtk-3 -lgdk-3 -latk-1.0 -lcairo-gobject -lgio-2.0 -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = deja-dup
PACKAGE_BUGREPORT = https://bugs.launchpad.net/deja-dup/+filebug
PACKAGE_NAME = Déjà Dup
PACKAGE_STRING = Déjà Dup 21.2
PACKAGE_TARNAME = deja-dup
PACKAGE_URL = https://launchpad.net/deja-dup
PACKAGE_VERSION = 21.2
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
POSUB = po
PREF_CFLAGS = -pthread -DGSEAL_ENABLE -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtk-3.0  
PREF_LIBS = -pthread -lgtk-3 -lgdk-3 -latk-1.0 -lcairo-gobject -lpangoft2-1.0 -lpangocairo-1.0 -lgdk_pixbuf-2.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
UNITY_CFLAGS = -pthread -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/gio-unix-2.0/ -I/usr/include/libdbusmenu-0.4 -I/usr/include/dbus-1.0 -I/usr/lib/i386-linux-gnu/dbus-1.0/include -I/usr/include/unity/unity -I/usr/include/dee-1.0 -I/usr/include/gee-1.0  
UNITY_LIBS = -pthread -lunity -ldee-1.0 -lgee -ldbusmenu-glib -ldbus-glib-1 -lgio-2.0 -lgmodule-2.0 -ldbus-1 -lpthread -lgobject-2.0 -lgthread-2.0 -lrt -lglib-2.0  
UNITY_VALAFLAGS = --pkg unity -D HAVE_UNITY
USE_NLS = yes
VALAC = /usr/bin/valac-0.14
VERSION = 21.2
WIDGETS_CFLAGS = -pthread -DGSEAL_ENABLE -I/usr/include/glib-2.0 -I/usr/lib/i386-linux-gnu/glib-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/gdk-pixbuf-2.0 -I/usr/include/pango-1.0 -I/usr/include/gio-unix-2.0/ -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gtk-3.0  
WIDGETS_LIBS = -Wl,--export-dynamic -pthread -lgtk-3 -lgdk-3 -latk-1.0 -lcairo-gobject -lpangoft2-1.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -lnotify -lgdk_pixbuf-2.0 -lgio-2.0 -lgobject-2.0 -lgmodule-2.0 -lgthread-2.0 -lrt -lglib-2.0  
XGETTEXT = /usr/bin/xgettext
XGETTEXT_015 = /usr/bin/xgettext
XGETTEXT_EXTRA_OPTIONS = 
XMLLINT = xmllint
abs_builddir = /home/mike/Code/deja-dup/22/tests/backup
abs_srcdir = /home/mike/Code/deja-dup/22/tests/backup
abs_top_builddir = /home/mike/Code/deja-dup/22
abs_top_srcdir = /home/mike/Code/deja-dup/22
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = tar --format=ustar -chf - "$$tardir"
am__untar = tar -xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias =

## deja-dup 18.1.1

=== debian/changelog ===
deja-dup (18.1.1-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Add missing build dependency against liblocale-gettext-perl.
    (Closes: #630221)

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 24 Sep 2011 15:35:30 +0200

deja-dup (18.1.1-2) unstable; urgency=low

  * Upload to unstable 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 09 Sep 2011 22:34:00 +0000

deja-dup (18.1.1-1) experimental; urgency=low

  * New upstream release (Closes: #613336)
    - Fixed GPG error during restore (Closes: #624598)
  * Remove .la files (Closes: #621293) 
  * debian/rules:
    - Convert to dh8
  * debian/source/format:
    - Convert to 3.0 (quilt)
  * debian/control:
    - Update description
  * debian/copyright:
    - Update from upstream AUTHORS
  (These changes where taken from Ubuntu package)
 
 
 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Sun, 22 May 2011 11:08:37 +0000

deja-dup (14.2-1) unstable; urgency=low

  * New upstream release
    + Fixes problem to external disks (Closes: #583218)
  * Bump dependency in duplicity to 0.6.07 (Closes: #546520)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 08 Jul 2010 16:46:39 +0200

deja-dup (14.0-1) unstable; urgency=low

  * New upstream version (Closes: #574938) 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 01 Apr 2010 11:55:08 +0200

deja-dup (13.6-1) unstable; urgency=low

  * New upstream release (Closes: #567124)
    + Adds menu entry to System category (Closes: #544455)
  * Depends on gvfs-fuse (Closes: #546506)
  * Bump Standards-Version to 3.8.4. No changes needed.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Thu, 28 Jan 2010 00:13:03 +0100

deja-dup (10.1-2) unstable; urgency=low

  * intltool is a build-dependency (Closes: #544451)
  * Bump Standards-Version to 3.8.1. No changes needed.
  * Add to debian/copyright file every (C) bit in sources. 
    Thanks to Torsten Werner.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Mon, 31 Aug 2009 23:16:58 +0200

deja-dup (10.1-1) unstable; urgency=low

  * New Upstream Version
  * Docs have been relicensed to GPLv3.

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 04 Aug 2009 23:34:17 +0200

deja-dup (9.1-1) unstable; urgency=low

  * New Upstream Version

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 28 Apr 2009 23:47:27 +0200

deja-dup (8.1-1) unstable; urgency=low

  * Inital Debian release, based on Ubuntu packages (Closes: #506590)
  * debian/control:
    - Change maintainer to me.
    - Bump Standards-Version to 3.8.1. No changes needed. 
    - Move -dbg package to 'debug' section. 

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Tue, 14 Apr 2009 00:19:30 +0200

deja-dup (8.1-0intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Fri, 03 Apr 2009 17:59:44 -0400

deja-dup (8.1-0hardy1) hardy; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Fri, 03 Apr 2009 17:58:44 -0400

deja-dup (8.0-0intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Sun, 29 Mar 2009 11:53:45 -0400

deja-dup (8.0-0hardy1) hardy; urgency=low

  * Initial hardy release

 -- Michael Terry <mike@mterry.name>  Sun, 29 Mar 2009 11:43:28 -0400

deja-dup (7.4-0ubuntu2) jaunty; urgency=low

  * debian/control:
    - Use ${misc:Depends} for -dbg package
    - Use unique summary for -dbg package
    - Indent bullet lists an extra time
  * debian/rules:
    - Exclude nautilus plugin from makeshlibs
  * debian/patches/02_check_notify_caps.patch:
    - Patch from upstream to work with notify-osd. LP: #334630

 -- Michael Terry <mike@mterry.name>  Wed, 25 Feb 2009 20:53:07 -0500

deja-dup (7.4-0ubuntu1) jaunty; urgency=low

  * Initial release (LP: #324388)

 -- Michael Terry <mike@mterry.name>  Thu, 12 Feb 2009 07:18:01 -0500

deja-dup (7.4-0~intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Wed, 11 Feb 2009 21:17:47 -0500

deja-dup (7.3-0~intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Tue, 03 Feb 2009 20:40:01 -0500

deja-dup (7.2-0~intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Mon, 02 Feb 2009 20:49:16 -0500

deja-dup (7.1-0~intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Thu, 29 Jan 2009 15:54:19 -0500

deja-dup (7.0-0~intrepid1) intrepid; urgency=low

  * New upstream release
  * debian/control:
    - Add Build-Depend on libnautilus-extension-dev

 -- Michael Terry <mike@mterry.name>  Thu, 29 Jan 2009 08:07:33 -0500

deja-dup (6.0-0~intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Mon, 19 Jan 2009 19:51:28 -0500

deja-dup (5.2-0~intrepid1) intrepid; urgency=low

  * New upstream release

 -- Michael Terry <mike@mterry.name>  Wed, 07 Jan 2009 21:47:58 -0500

deja-dup (5.1-0~intrepid1) intrepid; urgency=low

  * New upstream version

 -- Michael Terry <mike@mterry.name>  Wed, 07 Jan 2009 20:54:58 -0500

deja-dup (5.0-0~intrepid1) intrepid; urgency=low

  * New upstream version

 -- Michael Terry <mike@mterry.name>  Tue, 06 Jan 2009 20:30:09 -0500

deja-dup (4.0-0~intrepid1) intrepid; urgency=low

  * New upstream version
  * debian/control:
    - Add dbg package
    - Recommend util-linux, for ionice
    - Dropped valac from Build-Depends, not needed

 -- Michael Terry <michael.terry@canonical.com>  Mon, 29 Dec 2008 23:19:56 -0500

deja-dup (3.0~ppa1) intrepid; urgency=low

  * New upstream version
  * debian/control:
    - Add libunique-dev and libnotify-dev to Build-Depends

 -- Michael Terry <mike@mterry.name>  Thu, 04 Dec 2008 22:28:24 -0500

deja-dup (2.1-0ubuntu1~ppa1) intrepid; urgency=low

  * New upstream version

 -- Michael Terry <mike@mterry.name>  Mon, 01 Dec 2008 21:09:29 -0500

deja-dup (2.0-0ubuntu1~ppa1) intrepid; urgency=low

  * New upstream version



=== debian/control ===
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: debhelper (>= 8),
               pkg-config,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.26),
               libgtk2.0-dev (>= 2.18),
               libgnome-keyring-dev,
               libunique-dev,
               libnautilus-extension-dev,
               libnotify-dev (>= 0.7.0),
#               libunity-dev (>= 3.8.4),
#               libdbusmenu-gtk-dev (>= 0.3.94),
#               libappindicator-dev (>= 0.0.11),
               gnome-doc-utils (>= 0.3.2),
               liblocale-gettext-perl
Standards-Version: 3.9.1
Vcs-Git: git://git.debian.org/git/users/jsogo/deja-dup.git
Vcs-Browser: http://git.debian.org/git/users/jsogo/deja-dup.git

Package: deja-dup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         duplicity (>= 0.5.03)
Recommends: python-boto (>= 0.9d), python-rackspace-cloudfiles, ssh-client | openssh-client
Description: Backup utility
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3
    or Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

Package: deja-dup-dbg
Architecture: any
Depends: deja-dup (= ${binary:Version}),
         ${misc:Depends}
Section: debug
Priority: extra
Description: Déjà Dup debugging symbols
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3 or
    Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop
 .
 This package contains gdb debugging symbols for the deja-dup package.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --without-gtk3

override_dh_makeshlibs:
	dh_makeshlibs --exclude=libnautilus-deja-dup.so

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=deja-dup-dbg

# Skip check, dconf may cause intermittent crashes
override_dh_auto_test:

override_dh_builddeb:
	find help -empty -name '*.po' -exec rm -f {} \;
	dh_builddeb

## deja-dup 20.0

=== debian/changelog ===
deja-dup (20.0-0ubuntu3) oneiric; urgency=low

  * debian/patches/escape_globs.patch:
    - Remove vala portion of patch, keeping C version.  Else we trigger regenerating
      C code with valac.  Fixes FTBFS.

 -- Michael Terry <mterry@ubuntu.com>  Tue, 27 Sep 2011 03:25:29 -0400

deja-dup (20.0-0ubuntu2) oneiric; urgency=low

  * debian/patches/escape_globs.patch:
    - Escape glob characters like [, *, and ? before passing them to
      duplicity.  LP: #859884

 -- Michael Terry <mterry@ubuntu.com>  Mon, 26 Sep 2011 16:57:10 -0400

deja-dup (20.0-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release
    - Go back to using minimized windows in compiz (LP: #855403)
  * debian/control:
    - No change standards bump to 3.9.2
    - Change yelp-tools Build-Depend to just itstool, as that's all
      that is needed

 -- Michael Terry <mterry@ubuntu.com>  Mon, 26 Sep 2011 09:04:07 -0400

deja-dup (19.92-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - Restore enumerated Ubuntu One package Recommends, since they will
      remain on the CD after all. (LP: #854202)

 -- Michael Terry <mterry@ubuntu.com>  Thu, 22 Sep 2011 11:32:57 -0400

deja-dup (19.92-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release
    - Fixes "Can't click on Backup icon in launcher" (LP: #850866)
    - Fixes "Settings window too wide when many excluded folders start
      with a dot" (LP: #850430)
  * debian/control:
    - Change various Ubuntu One Recommends to ubuntuone-installer
      instead (LP: #833824)
    - Drop deja-dup-dbg package

 -- Michael Terry <mterry@ubuntu.com>  Thu, 15 Sep 2011 13:14:48 -0400

deja-dup (19.91-0ubuntu3) oneiric; urgency=low

  * debian/control:
    - bump build-dep on libunity-dev for ABI break

 -- Didier Roche <didrocks@ubuntu.com>  Fri, 09 Sep 2011 12:31:52 +0200

deja-dup (19.91-0ubuntu2) oneiric; urgency=low

  * debian/control:
    - Bump required duplicity to 0.6.14
    - Fix typo in ubuntuone-couch dependency, to actually pull it in

 -- Michael Terry <mterry@ubuntu.com>  Tue, 06 Sep 2011 13:45:13 -0400

deja-dup (19.91-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release
    - Fixes encrypted backups accidentally changing to unencrypted
    - Fixes help not launching (LP: #835640)

 -- Michael Terry <mterry@ubuntu.com>  Wed, 31 Aug 2011 16:41:13 -0400

deja-dup (19.90-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release
  * debian/control:
    - Drop appindicator Build-Depends, it is no longer needed
    - Update Description to mention Ubuntu One support

 -- Michael Terry <mterry@ubuntu.com>  Mon, 22 Aug 2011 10:20:19 -0400

deja-dup (19.5-0ubuntu1) oneiric; urgency=low

  * New upstream bug-fix release
    - Fix bottom buttons being cut off (LP: #825254)
  * debian/patches/delay_nautilus_init.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Mon, 15 Aug 2011 11:24:00 -0400

deja-dup (19.4-0ubuntu3) oneiric; urgency=low

  * No change rebuild for libunity update

 -- Michael Terry <mterry@ubuntu.com>  Thu, 11 Aug 2011 13:26:12 -0400

deja-dup (19.4-0ubuntu2) oneiric; urgency=low

  * debian/patches/delay_nautilus_init.patch:
    - Patch from upstream to fix nautilus crash when running as root.
      LP: #819109

 -- Michael Terry <mterry@ubuntu.com>  Mon, 01 Aug 2011 11:41:04 -0400

deja-dup (19.4-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/patches/fix-close-crashes:
    - Remove, applied upstream
  * debian/control:
    - Drop liblocale-gettext-perl, no longer needed by embedded copy
      of help2man
    - Switch from gnome-doc-utils to yelp-tools

 -- Michael Terry <mterry@ubuntu.com>  Tue, 26 Jul 2011 16:36:27 -0400

deja-dup (19.3-0ubuntu4) oneiric; urgency=low

  * debian/control:
    - Add liblocale-gettext-perl as a Build-Depends for embedded copy of
      help2man

 -- Michael Terry <mterry@ubuntu.com>  Thu, 21 Jul 2011 09:58:42 -0400

deja-dup (19.3-0ubuntu3) oneiric; urgency=low

  * No-change rebuild against latest control-center

 -- Michael Terry <mterry@ubuntu.com>  Thu, 21 Jul 2011 09:07:48 -0400

deja-dup (19.3-0ubuntu2) oneiric; urgency=low

  * debian/patches/fix-close-crash.patch:
    - Fix crash when closing the preference panel (LP: #802993)

 -- Michael Terry <mterry@ubuntu.com>  Fri, 01 Jul 2011 10:16:33 +0100

deja-dup (19.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Fix 100% CPU use (LP: #801380)
    - Fix crash on first start (LP: #801507)
    - Fix "Restoring files always checks files from yesterday" (LP: #793126)
    - Fix "Forward button not enabled" (LP: #793123)
  * debian/control:
    - Add ubuntuone-client and ubuntuone-control-panel as Recommends too
      because deja-dup talks to them over DBus
  * debian/patches/enable-u1.patch:
    - Dropped, no longer needed

 -- Michael Terry <mterry@ubuntu.com>  Fri, 24 Jun 2011 13:36:37 -0400

deja-dup (19.2.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Provides Ubuntu One support
    - Fixes "Preferences aren't saved" (LP: #774897)
  * debian/control:
    - Add Recommends for python modules needed for Ubuntu One
    - Move other cloud python modules to Suggests
  * debian/patches/enable-u1.patch:
    - Unconditionally enable U1.  deja-dup normally checks for the version
      of duplicity, but since I backported U1 support, just assume it is
      supported.

 -- Michael Terry <mterry@ubuntu.com>  Mon, 13 Jun 2011 12:15:00 -0400

deja-dup (19.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control, debian/rules:
    - Update dependencies
    - Use dh-translations

 -- Michael Terry <mterry@ubuntu.com>  Fri, 20 May 2011 13:50:02 -0400

deja-dup (18.1.1-0ubuntu1) natty; urgency=low

  * New upstream bug fix release

 -- Michael Terry <mterry@ubuntu.com>  Fri, 15 Apr 2011 14:18:31 -0400

deja-dup (18.0-0ubuntu2) natty; urgency=low

  * Rebuild against latest libunity (soname bump)



=== debian/control ===
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: debhelper (>= 8),
               dh-translations,
               intltool (>= 0.40),
               itstool,
               libdbusmenu-gtk3-dev (>= 0.3.94),
               libglib2.0-dev (>= 2.26),
               libgnome-control-center-dev,
               libgnome-keyring-dev,
               libgtk-3-dev (>= 3.0),
               libnautilus-extension-dev,
               libnotify-dev (>= 0.7),
               libunity-dev (>= 4.0.2),
               pkg-config
Standards-Version: 3.9.2

Package: deja-dup
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         duplicity (>= 0.6.14)
Recommends: python-ubuntuone-client,
            ubuntuone-client,
            ubuntuone-control-panel,
            ubuntuone-couch (>= 0.3.0)
Suggests: python-boto (>= 0.9d),
          python-rackspace-cloudfiles
Description: Back up your files
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3,
    Rackspace Cloud Files, and Ubuntu One
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with translations

override_dh_makeshlibs:
	dh_makeshlibs -Xlibdeja-dup.so

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -Xlibdeja-dup.la -Xlibdeja-dup.a

override_dh_installchangelogs:
	dh_installchangelogs NEWS

# Skip check, dconf may cause intermittent crashes
override_dh_auto_test:

## deja-dup 20.1

=== debian/changelog ===
deja-dup (20.1-0ubuntu0.2) oneiric-proposed; urgency=low

  * debian/patches/fix_encryption_switch.patch:
    - Backport patch from 20.x trunk to fix a bad bug that breaks backups 
      after an interruption for some locales.  LP: #877631

 -- Michael Terry <mterry@ubuntu.com>  Fri, 04 Nov 2011 12:34:06 -0400

deja-dup (20.1-0ubuntu0.1) oneiric-proposed; urgency=low

  * New upstream bug fix release
    - Correctly backup or exclude folders with [, ], ?, and * in their
      names (LP: #859884, but previously fixed in Ubuntu)
    - Fix translation of some strings when used in control center panel
      mode (LP: #869891)
    - Fix a nautilus crash if the gsettings schema isn't installed
      correctly (LP: #869933)
    - Allow LUKS encrypted volumes to appear in backup location list
      (LP: #871418)
  * debian/patches/escape_globs.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Tue, 18 Oct 2011 12:01:21 -0400

## deja-dup 20.2

=== debian/changelog ===
deja-dup (20.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Drop libdbusmenu-gtk3-dev Build-dep, the package is only
    available in experimental for now (Closes: #651257)

 -- Laurent Bigonville <bigon@debian.org>  Wed, 07 Dec 2011 11:54:25 +0100

deja-dup (20.2-1) unstable; urgency=low

  * New upstream release (Closes: #613336, #632568)
     - Fixed GPG error during restore (Closes: #624598)
     - Transitioned to use nautilus 3 (Closes: #637312)
  * Remove .la files (Closes: #621293)
  * debian/rules:
    - Convert to dh8
  * debian/source/format:
    - Convert to 3.0 (quilt)
  * debian/control:
    - Update description
    - Needs libnotify >= 0.7.0
  * debian/copyright:
    - Update from upstream AUTHORS
    - Standards-Version: bump to 3.9.2, no changes needed.
    - Change yelp Build-Dep to just itstool

  (These changes where taken from Ubuntu package, thanks to Michael Terry)

 -- Jose Carlos Garcia Sogo <jsogo@debian.org>  Fri, 25 Nov 2011 21:11:10 +0100

=== debian/control ===
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: debhelper (>= 8),
               intltool (>= 0.40),
               itstool,
               libglib2.0-dev (>= 2.26),
               libgnome-control-center-dev,
               libgnome-keyring-dev,
               libgtk-3-dev (>= 3.0),
               libnautilus-extension-dev,
               libnotify-dev (>= 0.7),
               pkg-config
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/users/jsogo/deja-dup.git
Vcs-Browser: http://git.debian.org/git/users/jsogo/deja-dup.git

Package: deja-dup
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         duplicity (>= 0.6.14)
Recommends: python-boto (>= 0.9d), python-rackspace-cloudfiles, ssh-client | openssh-client
Description: Backup utility
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3
    or Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

Package: deja-dup-dbg
Architecture: any
Depends: deja-dup (= ${binary:Version}),
         ${misc:Depends}
Section: debug
Priority: extra
Description: Déjà Dup debugging symbols
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3 or
    Rackspace Cloud Files
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop
 .
 This package contains gdb debugging symbols for the deja-dup package.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure

override_dh_makeshlibs:
	dh_makeshlibs --exclude=libnautilus-deja-dup.so

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=deja-dup-dbg

# Skip check, dconf may cause intermittent crashes
override_dh_auto_test:

override_dh_builddeb:
	find help -empty -name '*.po' -exec rm -f {} \;
	dh_builddeb

=== debian/watch ===
version=3
http://launchpad.net/deja-dup/+download .*/deja-dup-(.+)\.tar\.bz2

## deja-dup 22.0

=== debian/changelog ===
deja-dup (22.0-0ubuntu3) precise-proposed; urgency=low

  * debian/patches/ignore-steam.patch:
    - Always ignore ~/Steam (via ~/.steam/root).  Patch from upstream
      trunk.  LP: #1083237

 -- Michael Terry <mterry@ubuntu.com>  Tue, 04 Dec 2012 23:46:55 -0500

deja-dup (22.0-0ubuntu2) precise; urgency=low

  * debian/patches/allow-resuming-encrypted-backup.patch:
    - When resuming an encrypted backup, don't delete partial backup,
      causing a lot of work to be redone.  LP: #902985

 -- Michael Terry <mterry@ubuntu.com>  Tue, 10 Apr 2012 15:42:45 -0400

deja-dup (22.0-0ubuntu1) precise; urgency=low

  * New upstream release
    - Fixes "Can't restore from remote server after prompt for root
      password" (LP: #929139)
  * debian/control:
    - Add gvfs-backends to Recommends (LP: #880273)

 -- Michael Terry <mterry@ubuntu.com>  Thu, 22 Mar 2012 08:39:50 -0400

deja-dup (21.90-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/rules:
    - Enable 'make check' by default again
  * debian/control:
    - Add dbus-x11 and desktop-file-utils as Build-Depends for tests

 -- Michael Terry <mterry@ubuntu.com>  Thu, 23 Feb 2012 12:42:44 -0500

deja-dup (21.2-0ubuntu4) precise; urgency=low

  * Rebuild with the fixed pkgbinarymangler to get a correct gettext domain

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 16 Jan 2012 12:00:04 +0100

deja-dup (21.2-0ubuntu3) precise; urgency=low

  * Rebuilt against latest libunity
  * debian/control:
    - Require libunity 5.0.0

 -- Michael Terry <mterry@ubuntu.com>  Fri, 13 Jan 2012 10:22:05 +0100

deja-dup (21.2-0ubuntu2) precise; urgency=low

  * Rebuild with libnautilus-extension1a. 

 -- James Page <james.page@ubuntu.com>  Fri, 09 Dec 2011 16:31:00 +0000

deja-dup (21.2-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/patches/fix_encryption_switch.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Tue, 06 Dec 2011 14:32:51 -0500

deja-dup (21.1-0ubuntu2) precise; urgency=low

  * debian/patches/fix_encryption_switch.patch:
    - Backport patch from trunk to fix a bad bug that breaks backups after
      an interruption for some locales.  LP: #877631

 -- Michael Terry <mterry@ubuntu.com>  Thu, 03 Nov 2011 17:33:20 -0400

deja-dup (21.1-0ubuntu1) precise; urgency=low

  * New upstream release
  * debian/control:
    - Add valac-0.14 to Build-Depends
    - Drop libdbusmenu-gtk3-dev from Build-Depends
  * debian/watch:
    - Look for .xz tarballs instead of .bz2 ones

 -- Michael Terry <mterry@ubuntu.com>  Mon, 24 Oct 2011 13:49:53 -0400

deja-dup (20.1-0ubuntu1) precise; urgency=low

  * New upstream bug fix release
    - Correctly backup or exclude folders with [, ], ?, and * in their
      names (LP: #859884, but previously fixed in Ubuntu)
    - Fix translation of some strings when used in control center panel
      mode (LP: #869891)
    - Fix a nautilus crash if the gsettings schema isn't installed
      correctly (LP: #869933)
    - Allow LUKS encrypted volumes to appear in backup location list
      (LP: #871418)
  * debian/patches/escape_globs.patch:
    - Dropped, applied upstream

 -- Michael Terry <mterry@ubuntu.com>  Mon, 17 Oct 2011 14:39:06 -0400

=== debian/control ===
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: dbus-x11,
               debhelper (>= 8),
               desktop-file-utils,
               dh-translations,
               intltool (>= 0.40),
               itstool,
               libglib2.0-dev (>= 2.26),
               libgnome-control-center-dev (>= 3.0),
               libgnome-keyring-dev,
               libgtk-3-dev (>= 3.0),
               libnautilus-extension-dev (>= 3.0),
               libnotify-dev (>= 0.7),
               libunity-dev (>= 5.0.0),
               pkg-config,
               valac-0.14 (>= 0.14.0)
Standards-Version: 3.9.2
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu

Package: deja-dup
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         duplicity (>= 0.6.14)
Recommends: gvfs-backends,
            python-ubuntuone-client,
            ubuntuone-client,
            ubuntuone-control-panel,
            ubuntuone-couch (>= 0.3.0)
Suggests: python-boto (>= 0.9d),
          python-rackspace-cloudfiles
Description: Back up your files
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3,
    Rackspace Cloud Files, and Ubuntu One
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with translations

override_dh_makeshlibs:
	dh_makeshlibs -Xlibdeja-dup.so

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_install:
	dh_install -Xlibdeja-dup.la -Xlibdeja-dup.a

override_dh_installchangelogs:
	dh_installchangelogs NEWS

## deja-dup 22.0-0ubuntu3+6.0trisquel1

=== debian/changelog ===
deja-dup (22.0-0ubuntu3+6.0trisquel1) toutatis; urgency=low

  * Compiled for Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 06 Feb 2013 06:34:18 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: deja-dup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
 Homepage: https://launchpad.net/deja-dup
 Build-Depends: dbus-x11,

## deja-dup 24.0

=== debian/changelog ===
deja-dup (24.0-0ubuntu2) quantal-proposed; urgency=low

  * debian/patches/ignore-steam.patch:
    - Always ignore ~/Steam (via ~/.steam/root).  Patch from upstream
      trunk.  LP: #1083237

 -- Michael Terry <mterry@ubuntu.com>  Tue, 04 Dec 2012 23:51:54 -0500

deja-dup (24.0-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
    - Updated translations

 -- Michael Terry <mterry@ubuntu.com>  Tue, 25 Sep 2012 11:00:17 -0400

deja-dup (23.92-0ubuntu1) quantal; urgency=low

  * New upstream release
    - Only allow one deja-dup-monitor process at a time (LP: #891797,
      LP: #1051811)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 18 Sep 2012 13:15:04 -0400

deja-dup (23.90-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Suggest python-cloudfiles instead of python-rackspace-cloudfiles
    - Use ${misc:Pre-Depends}
  * debian/rules:
    - Remove another instance of .la and .a files

 -- Michael Terry <mterry@ubuntu.com>  Tue, 21 Aug 2012 15:33:44 -0400

deja-dup (23.4-0ubuntu1) quantal; urgency=low

  * New upstream release
  * debian/control:
    - Recommend policykit-1

 -- Michael Terry <mterry@ubuntu.com>  Fri, 20 Jul 2012 19:59:35 -0400

deja-dup (23.2-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release
  * debian/control:
    - Add libpeas-dev to Build-Depends
    - Update valac and libglib2.0-dev versions
    - Bump debhelper version to 9
  * debian/compat:
    - Bump to 9
  * debian/rules:
    - Don't install new .la and .a files from upstream
  * debian/patches/allow-resuming-encrypted-backup.patch:
    - Dropped, included upstream

 -- Michael Terry <mterry@ubuntu.com>  Tue, 05 Jun 2012 13:45:39 -0400

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,10 @@
 	dh_auto_install --destdir=debian/tmp
 
 override_dh_install:
-	dh_install -Xlibdeja-dup.la -Xlibdeja-dup.a
+	dh_install -Xlibdeja-dup.la -Xlibdeja-dup.a \
+	           -Xlibduplicity.la -Xlibduplicity.a \
+	           -Xlibcommon.la -Xlibcommon.a \
+	           -Xlibwidgets.la -Xlibwidgets.a
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## deja-dup 25.5

=== debian/changelog ===
deja-dup (25.5-0ubuntu1) raring; urgency=low

  * New upstream release
    - Use same partition for temp files as include files (to avoid problems
      with tiny /tmp partitions like tmpfs).  LP: #1100092
    - Tell GNOME 3 about notifications, so the user can disable them
    - Always exclude /run (in case user includes /)
  * debian/rules:
    - Be explicit about what features we turn on (ccpanel, nautilus, unity)
  * debian/control:
    - Require duplicity 0.6.21

 -- Michael Terry <mterry@ubuntu.com>  Mon, 04 Feb 2013 15:12:32 -0500

deja-dup (25.3-0ubuntu1) raring; urgency=low

  * New upstream release
    - Support replacing $USER in gsettings default paths for system
      administrators (LP: #1086097)
    - Fix Ubuntu One support for duplicity 0.6.20 and above
    - Ignore ~/Steam due to its large and cache-oriented content
  * debian/patches/ignore-steam.patch,
    debian/patches/support-new-u1backend.patch:
    - Dropped, included upstream

 -- Michael Terry <mterry@ubuntu.com>  Tue, 18 Dec 2012 14:10:19 -0500

deja-dup (25.1.1-0ubuntu2) raring; urgency=low

  * debian/patches/ignore-steam.patch:
    - Always ignore ~/Steam (via ~/.steam/root).  Patch from upstream
      trunk.  LP: #1083237

 -- Michael Terry <mterry@ubuntu.com>  Wed, 05 Dec 2012 00:10:09 -0500

deja-dup (25.1.1-0ubuntu1) raring; urgency=low

  * New upstream release
  * debian/control:
    - Use libsecret, not libgnome-keyring
    - Switch to valac-0.18
    - Add various deja-dup-backend-* metapackages to make seeding
      different ones easier for flavors
  * debian/tests:
    - Add dep8 test to run upstream test suite against system install
  * debian/patches/support-new-u1backend.patch:
    - Support new u1backend in duplicity 0.6.20

 -- Michael Terry <mterry@ubuntu.com>  Tue, 30 Oct 2012 19:03:03 +0100

## deja-dup 26.0

=== debian/changelog ===
deja-dup (26.0-0ubuntu1) raring; urgency=low

  * New upstream release
    - Only use the GNOME Shell interface when actually in GNOME Shell,
      not something that is merely similar, like the Cinnamon shell
      (LP: #1155929)
    - When testing a restore, also use a temporary directory that is
      on the same partition as the include files (LP: #1159749)
    - Spread default backup time around a bit, from always starting at
      midnight UTC to starting between 2 and 4 AM local time
      (LP: #1154920)
    - Use more-aggressively-idle modes for ionice and nice if available

 -- Michael Terry <mterry@ubuntu.com>  Thu, 28 Mar 2013 13:01:53 -0400

=== debian/control ===
Source: deja-dup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jose Carlos Garcia Sogo <jsogo@debian.org>
Homepage: https://launchpad.net/deja-dup
Build-Depends: dbus-x11,
               debhelper (>= 9),
               desktop-file-utils,
               dh-translations,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.32),
               libgnome-control-center-dev (>= 3.0),
               libgtk-3-dev (>= 3.0),
               libnautilus-extension-dev (>= 3.0),
               libnotify-dev (>= 0.7),
               libpeas-dev,
               libsecret-1-dev,
               libunity-dev (>= 5.0.0),
               pkg-config,
               python3,
               valac-0.18,
               yelp-tools,
XS-Testsuite: autopkgtest
Standards-Version: 3.9.3
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/deja-dup/ubuntu

Package: deja-dup
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
         duplicity (>= 0.6.21),
Recommends: deja-dup-backend-gvfs,
            policykit-1,
Suggests: deja-dup-backend-cloudfiles,
          deja-dup-backend-s3,
          deja-dup-backend-ubuntuone,
Description: Back up your files
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 Features:
  * Support for local, remote, or cloud backup locations, such as Amazon S3,
    Rackspace Cloud Files, and Ubuntu One
  * Securely encrypts and compresses your data
  * Incrementally backs up, letting you restore from any particular backup
  * Schedules regular backups
  * Integrates well into your GNOME desktop

Package: deja-dup-backend-gvfs
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         gvfs-backends,
Description: Remote server support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds FTP, SSH, WebDAV, and Windows Shares support to Déjà Dup.

Package: deja-dup-backend-cloudfiles
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-cloudfiles,
Description: Rackspace Cloudfiles support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Rackspace Cloudfiles support to Déjà Dup.

Package: deja-dup-backend-s3
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-boto (>= 0.9d),
Description: Amazon S3 support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Amazon S3 support to Déjà Dup.

Package: deja-dup-backend-ubuntuone
Architecture: all
Depends: ${misc:Depends},
         deja-dup,
         python-httplib2,
         python-oauthlib,
         ubuntuone-client,
         ubuntuone-control-panel,
Description: Ubuntu One support for Déjà Dup
 Déjà Dup is a simple backup tool. It hides the complexity of backing up the
 Right Way (encrypted, off-site, and regular) and uses duplicity as the
 backend.
 .
 This package adds Ubuntu One support to Déjà Dup.
